### Encoding: latin1

### Name: Wk
### Title: The Calibration Weights
### Aliases: Wk
### Keywords: survey

### ** Examples

############
## Example 1
############
# Draws a simple random sample without replacement
data(Marco)
data(Lucy)
dim(Marco)
N <- dim(Marco)[1]
n <- 400
sam <- sample(N,n)
# The information about the units in the sample is stored in an object called data
data <- Lucy[sam,]
attach(data)
names(data)
# Vector of inclusion probabilities
Pik<-rep(n/N,n)

##############################

x <- rep(1,n)
ck <- rep(1,n)
tx <- c(N)
wk <- Wk(x,tx,Pik,ck)
sum(wk*x)

##############################

x <- Employees
tx <- c(151950)
ck <- x
wk <- Wk(x,tx,Pik,ck)
sum(wk*x)

##############################
                                                                                                         
x <- Taxes
tx <- c(28654)  
ck <- rep(1,n)                                                                
wk <- Wk(x,tx,Pik,ck)
sum(wk*x)                                                                                    
                                         
##############################

x <- data.frame(Employees, Taxes)
tx <- c(151950, 28654)
ck <- matrix(1, n, 2)
wk <- Wk(x,tx,Pik,ck)
sum(wk[,1]*x[,1]) 
sum(wk[,1]*x[,2]) 
sum(wk[,2]*x[,2]) 
sum(wk[,2]*x[,1]) 
                                          
##############################

x <- data.frame(Employees, Taxes)
tx <- c(151950, 28654)
ck <- x
wk <- Wk(x,tx,Pik,ck)
sum(wk[,1]*x[,1]) 
sum(wk[,1]*x[,2]) 
sum(wk[,2]*x[,2]) 
sum(wk[,2]*x[,1]) 

##############################
 
x <- cbind(1,Taxes)
tx <- c(N,28654)
ck <- x
wk <- Wk(x,tx,Pik,ck)
sum(wk[,1]*x[,1]) 
sum(wk[,1]*x[,2]) 
sum(wk[,2]*x[,2]) 
sum(wk[,2]*x[,1]) 



